summaryrefslogtreecommitdiff
path: root/help/C/entry.page
diff options
context:
space:
mode:
authorYasumichi Akahoshi <yasumichi@vinelinux.org>2011-11-19 02:55:00 +0900
committerTiffany Antopolski <tiffany.antopolski@gmail.com>2011-12-17 13:23:47 -0500
commitf1bf713d0fcd86d38b119d95b276f67245123810 (patch)
tree0c6fe0869ff8d74b15850cdb15c4c0975c45f373 /help/C/entry.page
parentUpdated Turkish translation (diff)
downloadzenity-f1bf713d0fcd86d38b119d95b276f67245123810.tar.gz
zenity-f1bf713d0fcd86d38b119d95b276f67245123810.tar.bz2
zenity-f1bf713d0fcd86d38b119d95b276f67245123810.zip
Add mallard pages and update screenshots.
Signed-off-by: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Diffstat (limited to 'help/C/entry.page')
-rw-r--r--help/C/entry.page57
1 files changed, 57 insertions, 0 deletions
diff --git a/help/C/entry.page b/help/C/entry.page
new file mode 100644
index 00000000..69ad4641
--- /dev/null
+++ b/help/C/entry.page
@@ -0,0 +1,57 @@
+<page xmlns="http://projectmallard.org/1.0/"
+ type="topic"
+ id="entry">
+ <info>
+ <link type="guide" xref="index#dialogs"/>
+ <desc>Use the <cmd>--entry</cmd> option.</desc>
+ </info>
+ <title>Text Entry Dialog</title>
+ <p>
+ Use the <cmd>--entry</cmd> option to create a text entry dialog. <app>Zenity</app> returns the contents of the text entry to standard output.
+ </p>
+ <p>
+ The text entry dialog supports the following options:
+ </p>
+
+ <terms>
+
+ <item>
+ <title><cmd>--text</cmd>=<var>text</var></title>
+ <p>Specifies the text that is displayed in the text entry dialog.</p>
+ </item>
+
+ <item>
+ <title><cmd>--entry-text</cmd>=<var>text</var></title>
+ <p>Specifies the text that is displayed in the entry field of the text entry dialog.</p>
+ </item>
+
+ <item>
+ <title><cmd>--hide-text</cmd></title>
+ <p>Hides the text in the entry field of the text entry dialog.</p>
+ </item>
+
+ </terms>
+
+ <p>
+ The following example script shows how to create a text entry dialog:
+ </p>
+
+<code>
+#!/bin/sh
+
+if zenity --entry \
+--title="Add new profile" \
+--text="Enter name of new profile:" \
+--entry-text "NewProfile"
+ then echo $?
+ else echo "No name entered"
+fi
+</code>
+
+
+ <figure id="zenity-entry-screenshot">
+ <title>Text Entry Dialog Example</title>
+ <desc><app>Zenity</app> text entry dialog example</desc>
+ <media type="image" mime="image/png" src="figures/zenity-entry-screenshot.png"/>
+ </figure>
+</page>
bgstack15